---
updatedAt: 2026-09-29T10:58:43.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Send financial transaction with captured device

In scenarios where you need to link a financial transaction to a captured device, you can submit a financial transaction as the third step of the [Device Intelligence usage flow](https://docs.sumsub.com/sumsub/reference/get-started-with-device-intelligence).

To do this, use the method for [submitting a transaction for non-existing applicant](https://docs.sumsub.com/sumsub/reference/submit-transaction-for-non-existing-applicant) with the following parameters included:

# QUERY parameters

| Parameter     | Type   | Required | Description                                                                                                                                                                                                                                                             |
| :------------ | :----- | :------- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `levelName`   | String | No       | Name of the [verification level](https://docs.sumsub.com/sumsub/docs/verification-levels) . Case-sensitive and has to be created in the same environment. If contains reserved characters (e.g., `@`, `+"`, white spaces as `%20`), it should be URL-encoded, otherwise you may get signature mismatch. |
| `accessToken` | String | Yes      | Access token that you have [received at the first step](https://docs.sumsub.com/sumsub/reference/generate-access-token-device-intelligence) of the flow.                                                                                                                                                     |

# BODY parameters

| Parameter   | Type                            | Required | Description                                      |
| :---------- | :------------------------------ | :------- | :----------------------------------------------- |
| `applicant` | [Object](#applicant-attributes) | Yes      | Applicant full name and identifier on your side. |
| `type`      | String                          | Yes      | Transaction type: `finance`.                     |
| `info`      | [Object](#info-attributes)      | Yes      | General information about the transaction.       |

## `applicant` attributes

| Attribute        | Type   | Required | Description                                     |
| :--------------- | :----- | :------- | :---------------------------------------------- |
| `fullName`       | String | Yes      | Full name of the applicant.                     |
| `externalUserId` | String | Yes      | Unique applicant identifier within your system. |
| `email`          | String | Yes      | Applicant email address.                        |
| `phone`          | String | No       | Applicant phone number.                         |

## `info` attributes

| Attribute      | Type   | Required | Description                                                                                                                                             |
| :------------- | :----- | :------- | :------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `currencyType` | String | Yes      | Transaction currency type: `crypto` or `fiat`.                                                                                                          |
| `currencyCode` | String | Yes      | Currency code (`USD`, `GBP`, `BTC`, etc).                                                                                                               |
| `amount`       | Double | Yes      | Amount of funds used in the transaction.                                                                                                                |
| `direction`    | String | Yes      | Transaction direction.<ul><li><code>out</code> — applicant sends to counterparty.</li><li><code>in</code>  — counterparty sends to applicant.</li></ul> |

# Request example

```curl
curl -X POST \
     'https://api.sumsub.com/resources/applicants/-/kyt/txns/-/data?accessToken=_act-jwt-der234qkAWM9Tb2LSS6yuP8EoLqJtWKVsmhE6AgaCav5E28JAJiJidzG2qZIjMECQ6UWsuboKvMeM1HEhPTWF1ZPqJxcdtP0N8opXwJdCZLfetv5Ui516CloG6nKT9YUaZ' \
     -H 'content-type: application/json' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>' \ 
     -d '{
            "type": "finance",
            "info": {
                "currencyType": "fiat",
                "amount": 100,
                "direction": "out",
                "currencyCode": "USD"
            },
            "applicant": {
                "fullName": "John Smith",
                "email": "john.smith@example.com",
                "externalUserId": "john.smith.1234"
            }
        }'
```

# Response explained

The response is a JSON file that represents the full and structured transaction data. See the response structure, possible content with descriptions on the[ following page](https://docs.sumsub.com/sumsub/reference/get-transaction#response-explained).

The existence of some fields in the response depends on the transaction type and matched [rules](https://docs.sumsub.com/sumsub/docs/tm-rules).

<Callout icon="📘" theme="info">
  ### Note

  You can review the transaction check status on the [Transactions](https://cockpit.sumsub.com/checkus/#/kyt/txns) page in the Dashboard.
</Callout>